Agara

Get settled PnL

GET
/trade/v1/portfolio/pnl

Authorization

Authorization
Required
Bearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: portfolio:read

curl -X GET "https://app.agara.xyz/trade/v1/portfolio/pnl" \
  -H "Authorization: Bearer <token>"

Current full-lifetime settled PnL with custody and mark provenance.

{
  "bucket_at": "2019-08-24T14:15:22Z",
  "chain_id": 0,
  "classification_version": 0,
  "collateral_micro": "string",
  "cumulative_inflow_micro": "string",
  "cumulative_outflow_micro": "string",
  "custody_through_block": 0,
  "custody_through_block_hash": "string",
  "custody_through_block_time": "2019-08-24T14:15:22Z",
  "lifetime_pnl_micro": "string",
  "mark_captured_at": "2019-08-24T14:15:22Z",
  "mark_run_id": "0449856b-20b9-47d9-a9ce-f431a68a8886",
  "position_count": 0,
  "positions_value_micro": "string",
  "wallet_universe_generation": 0
}